# Query state from a state store

`POST /v1.0-alpha1/state/{storeName}/query`

Query state from a state store

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `storeName` | string | Yes | Pattern: `^[a-zA-Z0-9_-]+$`. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `metadata.contentType` | string | No | One of: `application/json`. |

### Request body

Required.

`application/json`

- `filter` (object)
- `sort` (object[])
  - `key` (string) — Pattern: `^[a-zA-Z0-9_-]+$`.
  - `order` (string) — One of: `ASC`, `DESC`.
- `page` (object)
  - `limit` (integer)

## Responses

### 200 — OK

`application/json`

- `results` (object[])
  - `key` (string)
  - `data` (object)
  - `etag` (string (uuid))
- `token` (string)

### 400 — State store is missing or misconfigured

### 500 — State query failed
